## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanHTMLElementsProperties Class Reference

`#include <XalanHTMLElementsProperties.hpp>`

Collaboration diagram for XalanHTMLElementsProperties:

List of all members.

## Public Types

- enum {
  eMaxAttributes = 6,
  eMaxAttributeName = 8,
  eMaxElementName = 10
  }
- enum eFlags {
  EMPTY = (1 << 1),
  FLOW = (1 << 2),
  BLOCK = (1 << 3),
  BLOCKFORM = (1 << 4),
  BLOCKFORMFIELDSET = (1 << 5),
  CDATA = (1 << 6),
  PCDATA = (1 << 7),
  RAW = (1 << 8),
  INLINE = (1 << 9),
  INLINEA = (1 << 10),
  INLINELABEL = (1 << 11),
  FONTSTYLE = (1 << 12),
  PHRASE = (1 << 13),
  FORMCTRL = (1 << 14),
  SPECIAL = (1 << 15),
  ASPECIAL = (1 << 16),
  HEADMISC = (1 << 17),
  HEAD = (1 << 18),
  LIST = (1 << 19),
  PREFORMATTED = (1 << 20),
  WHITESPACESENSITIVE = (1 << 21),
  HEADELEM = (1 << 22),
  STYLEELEM = (1 << 23),
  SCRIPTELEM = (1 << 24),
  ATTRURL = (1 << 1),
  ATTREMPTY = (1 << 2)
  }

## Static Public Methods

- ElementProperties find (const XalanDOMChar* theElementName)
    Find an instance with the given name. More...

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eMaxAttributes |
  eMaxAttributeName |
  eMaxElementName |

enum XalanHTMLElementsProperties::eFlags

Enumeration values:

  EMPTY |
  FLOW |
  BLOCK |
  BLOCKFORM |
  BLOCKFORMFIELDSET |
  CDATA |
  PCDATA |
  RAW |
  INLINE |
  INLINEA |
  INLINELABEL |
  FONTSTYLE |
  PHRASE |
  FORMCTRL |
  SPECIAL |
  ASPECIAL |
  HEADMISC |
  HEAD |
  LIST |
  PREFORMATTED |
  WHITESPACESENSITIVE |
  HEADELEM |
  STYLEELEM |
  SCRIPTELEM |
  ATTRURL |
  ATTREMPTY |

## Member Function Documentation

ElementProperties XalanHTMLElementsProperties::find ( | const XalanDOMChar * theElementName )`[static]`

Find an instance with the given name.

Parameters:

  theElementName | The element name.

Returns:
  A reference to an instance.

The documentation for this class was generated from the following file:

- XalanHTMLElementsProperties.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.